Subject: bug#14815: 24.3.50; eww (Hyperlinks): Left mouse click on hyperlinks does nothing

From: Jambunathan K <[email-masked]>
Date: Sat, 20 Jul 2013 16:50:47 +0530

Jambunathan K <[email-masked]> writes:

> Left click does NOT work in eww buffers.  (i.e., the bug is still open)
>
> Another thing I noticed: When mouse house over an link in an Org or a
> Help buffer, the link's color changes.  In case of eww, this
> color-changing doesn't happen.

If you do this, Left click works.  I have validated this experimentally
i.e., I haven't looked at docstring or info manual etc.

    ,----  DESIRED - Left click works
    | There are text properties here:
    |   face                 shr-link
    |   help-echo            "http://www.emacswiki.org/emacs-en"
    |   keymap               [Show]
    |   mouse-face           highlight <============================= Added
    |   shr-url              "http://www.emacswiki.org/emacs-en"
    `----

    ,----  CURRENT - Left click DOES NOT work
    | There are text properties here:
    |   face                 shr-link
    |   help-echo            "http://www.emacswiki.org/emacs-de"
    |   keymap               [Show]
    |   shr-url              "http://www.emacswiki.org/emacs-de"
    `----